> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/extranet/total-usage > Get extranet service total usage stats ## OpenAPI ````json POST /v2/extranet/total-usage { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/extranet/total-usage": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2ExtranetTotalUsagePostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2ExtranetTotalUsagePostResponse" } } } } }, "description": "Get extranet service total usage stats" } } }, "components": { "schemas": { "v2ExtranetTotalUsagePostRequest": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1, "description": "the ID associated with an entity - consumer_id for consumer, and service_id for the producer/service (required)" }, "isB2B": { "type": "boolean", "example": true, "description": "whether the entity is a b2b entity (true for b2b entity, false for local extranet entity) (required)" }, "isProvider": { "type": "boolean", "example": true, "description": "whether the entity is a provider or consumer (required)" }, "timeWindow": { "$ref": "#/components/schemas/statsmonTimeWindow" } }, "additionalProperties": false, "required": [ "id", "isB2B", "isProvider", "timeWindow" ] }, "v2ExtranetTotalUsagePostResponse": { "type": "object", "properties": { "usage": { "type": "number", "format": "double", "example": 1000000, "description": "total service usage in kilo bytes" } }, "additionalProperties": false }, "statsmonTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 300, "minimum": 0, "description": "the size of the time window in seconds (required)" }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false, "required": [ "bucketSizeSec" ] }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````